[arch-commits] Commit in python-aiobotocore/repos/community-staging-any (3 files)

Felix Yan felixonmars at gemini.archlinux.org
Wed Dec 8 03:23:19 UTC 2021


    Date: Wednesday, December 8, 2021 @ 03:23:18
  Author: felixonmars
Revision: 1065597

archrelease: copy trunk to community-staging-any

Added:
  python-aiobotocore/repos/community-staging-any/PKGBUILD
    (from rev 1065596, python-aiobotocore/trunk/PKGBUILD)
  python-aiobotocore/repos/community-staging-any/botocore-1.23.diff
    (from rev 1065596, python-aiobotocore/trunk/botocore-1.23.diff)
Deleted:
  python-aiobotocore/repos/community-staging-any/PKGBUILD

--------------------+
 PKGBUILD           |  101 ++++++++++++++++++++++++++-------------------------
 botocore-1.23.diff |   21 ++++++++++
 2 files changed, 74 insertions(+), 48 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-12-08 03:23:06 UTC (rev 1065596)
+++ PKGBUILD	2021-12-08 03:23:18 UTC (rev 1065597)
@@ -1,48 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-
-pkgname=python-aiobotocore
-_pkgname=aiobotocore
-# https://github.com/aio-libs/aiobotocore/releases
-pkgver=2.0.0
-pkgrel=2
-pkgdesc='asyncio support for botocore library using aiohttp'
-arch=(any)
-url='https://github.com/aio-libs/aiobotocore'
-license=(Apache)
-depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
-makedepends=(python-setuptools)
-checkdepends=(python-moto python-pytest python-pytest-asyncio
-              # moto optdepends
-              python-docker python-yaml python-flask python-flask-cors)
-source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz")
-sha256sums=('be7758c3f4a7d4b922e71cbedb7e6a73dd3d795b95b177201a5bd557062016da')
-
-prepare() {
-  cd $_pkgname-$pkgver
-
-  # Disable dependency pinning
-  # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
-  sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
-  diff -u setup.py{.orig,} || true
-}
-
-build() {
-  cd $_pkgname-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  export PYTHONPATH="$PWD"
-  # test_lambda uses moto.awslambda, which requires a running Docker service
-  # See: https://github.com/spulec/moto/issues/3276
-  pytest -m moto tests \
-      --ignore=tests/test_patches.py \
-      --ignore=tests/test_lambda.py
-}
-
-package() {
-  cd $_pkgname-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-}

Copied: python-aiobotocore/repos/community-staging-any/PKGBUILD (from rev 1065596, python-aiobotocore/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-12-08 03:23:18 UTC (rev 1065597)
@@ -0,0 +1,53 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+
+pkgname=python-aiobotocore
+_pkgname=aiobotocore
+# https://github.com/aio-libs/aiobotocore/releases
+pkgver=2.0.1
+pkgrel=2
+pkgdesc='asyncio support for botocore library using aiohttp'
+arch=(any)
+url='https://github.com/aio-libs/aiobotocore'
+license=(Apache)
+depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
+makedepends=(python-setuptools)
+checkdepends=(python-moto python-pytest python-pytest-asyncio
+              # moto optdepends
+              python-docker python-yaml python-flask python-flask-cors)
+source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+        "botocore-1.23.diff")
+sha256sums=('20da488ef99b4f296274a5012145f85887041e4e2c64e33eb3c2d6e17bf919fc'
+            '67d9e250f2a0b6345be7b24ccf02dabf1d6ccae07b3b4183a113789b1f89d9d5')
+
+prepare() {
+  cd $_pkgname-$pkgver
+
+  # From https://github.com/aio-libs/aiobotocore/issues/905#issuecomment-980524777
+  patch -Np1 -i ../botocore-1.23.diff
+
+  # Disable dependency pinning
+  # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
+  sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd $_pkgname-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  export PYTHONPATH="$PWD"
+  # test_lambda uses moto.awslambda, which requires a running Docker service
+  # See: https://github.com/spulec/moto/issues/3276
+  pytest -m moto tests \
+      --ignore=tests/test_patches.py \
+      --ignore=tests/test_lambda.py
+}
+
+package() {
+  cd $_pkgname-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}

Copied: python-aiobotocore/repos/community-staging-any/botocore-1.23.diff (from rev 1065596, python-aiobotocore/trunk/botocore-1.23.diff)
===================================================================
--- botocore-1.23.diff	                        (rev 0)
+++ botocore-1.23.diff	2021-12-08 03:23:18 UTC (rev 1065597)
@@ -0,0 +1,21 @@
+diff --git a/aiobotocore/client.py b/aiobotocore/client.py
+index 5dee865..13cf364 100644
+--- a/aiobotocore/client.py
++++ b/aiobotocore/client.py
+@@ -28,6 +28,8 @@ class AioClientCreator(ClientCreator):
+         service_name = first_non_none_response(responses, default=service_name)
+         service_model = self._load_service_model(service_name, api_version)
+         cls = await self._create_client_class(service_name, service_model)
++        region_name, client_config = self._normalize_fips_region(
++            region_name, client_config)
+         endpoint_bridge = ClientEndpointBridge(
+             self._endpoint_resolver, scoped_config, client_config,
+             service_signing_name=service_model.metadata.get('signingName'))
+@@ -42,7 +44,6 @@ class AioClientCreator(ClientCreator):
+         self._register_endpoint_discovery(
+             service_client, endpoint_url, client_config
+         )
+-        self._register_lazy_block_unknown_fips_pseudo_regions(service_client)
+         return service_client
+ 
+     async def _create_client_class(self, service_name, service_model):



More information about the arch-commits mailing list